## ros-one-smach-ros 2.5.3-0jammy.20251023.0332

=== debian/changelog ===
ros-one-smach-ros (2.5.3-0jammy.20251023.0332) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 23 Oct 2025 03:32:48 +0000

ros-one-smach-ros (2.5.3-0jammy) jammy; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-smach-ros (2.5.2-0jammy) jammy; urgency=high

  * Fix is_running behaviour in case of exception in the state #50 <https://github.com/ros/executive_smach/issues/50>
  * Executing an empty Concurrence container hangs forever #51 <https://github.com/ros/executive_smach/issues/51>

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-one-smach-ros (2.5.1-0jammy) jammy; urgency=high

  * Fix: response_slots when action goal is lost #64 <https://github.com/ros/executive_smach/issues/64>
  * Fix: Typos

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-smach-ros (2.5.0-0jammy) jammy; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-smach-ros (2.0.1-0jammy) jammy; urgency=high

  * [fix] SimpleActionState will wait forever for a missing ActionServer #41 <https://github.com/ros/executive_smach/pull/41>
  * [fix] monitor state callback args and adding unit test for monitor state that modifies userdata
  * [improve] Specify queue sizes for introspection publishers #31 <https://github.com/ros/executive_smach/pull/31>
  * [improve] make ServiceState more robust to termination while waiting for service #32 <https://github.com/ros/executive_smach/pull/32>
  * [build] make rostest in CMakeLists optional #45 <https://github.com/ros/executive_smach/pull/45>
  * change MonitorState and document its behavior
  * increment n_checks only *after* checking
    otherwise, setting max_checks=1 results in a MonitorState that returns the 'valid' outcome for any message
  * [test] adding test for actionlib timeout
  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren, Loy, Lukas Bulwahn, Nils Berg, contradict

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 00:00:00 -0000

ros-one-smach-ros (2.0.0-0jammy) jammy; urgency=high

  * smach_ros: Adding rostests to cmakelists
  * Merging changes, resolving conflicts, from strands-project (@cburbridge)
  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Listing available goal slots in case of specifying wrong ones
  * Fix syntax errors, doc typos and indentations glitches
  * if monitor state prempted before executing, return.
  * Adding event for thread synchronization in concurrence and using event not condition in monitor state
  * Listing available goal slots in case of specifying wrong ones
  * [MonitorState] Make exception handler more verbose
  * edited monitor state to allow input and output keys
  * Contributors: Boris Gromov, Bruno Lacerda, Felix Kolbe, Hendrik Wiese, Jonathan Bohren, cburbridge

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-one-smach-ros (1.3.1-0jammy) jammy; urgency=high

  * adding changelogs
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 00:00:00 -0000

## ros-one-smach-ros 2.5.3-0jammy.20260221.0012

=== debian/changelog ===
ros-one-smach-ros (2.5.3-0jammy.20260221.0012) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Sat, 21 Feb 2026 00:12:21 +0000

## ros-one-smach-ros 2.5.3-0noble.20251023.0330

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(smach_ros)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS rospy rostopic std_msgs std_srvs actionlib actionlib_msgs smach smach_msgs
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/state_machine.test)
  add_rostest(test/sequence.test)
  add_rostest(test/concurrence.test)
  add_rostest(test/introspection.test)
  add_rostest(test/smach_actionlib.test)
  add_rostest(test/monitor.test)
endif()

=== debian/changelog ===
ros-one-smach-ros (2.5.3-0noble.20251023.0330) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 23 Oct 2025 03:30:11 +0000

ros-one-smach-ros (2.5.3-0noble) noble; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-smach-ros (2.5.2-0noble) noble; urgency=high

  * Fix is_running behaviour in case of exception in the state #50 <https://github.com/ros/executive_smach/issues/50>
  * Executing an empty Concurrence container hangs forever #51 <https://github.com/ros/executive_smach/issues/51>

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-one-smach-ros (2.5.1-0noble) noble; urgency=high

  * Fix: response_slots when action goal is lost #64 <https://github.com/ros/executive_smach/issues/64>
  * Fix: Typos

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-smach-ros (2.5.0-0noble) noble; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 00:00:00 -0000

ros-one-smach-ros (2.0.1-0noble) noble; urgency=high

  * [fix] SimpleActionState will wait forever for a missing ActionServer #41 <https://github.com/ros/executive_smach/pull/41>
  * [fix] monitor state callback args and adding unit test for monitor state that modifies userdata
  * [improve] Specify queue sizes for introspection publishers #31 <https://github.com/ros/executive_smach/pull/31>
  * [improve] make ServiceState more robust to termination while waiting for service #32 <https://github.com/ros/executive_smach/pull/32>
  * [build] make rostest in CMakeLists optional #45 <https://github.com/ros/executive_smach/pull/45>
  * change MonitorState and document its behavior
  * increment n_checks only *after* checking
    otherwise, setting max_checks=1 results in a MonitorState that returns the 'valid' outcome for any message
  * [test] adding test for actionlib timeout
  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren, Loy, Lukas Bulwahn, Nils Berg, contradict

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 00:00:00 -0000

ros-one-smach-ros (2.0.0-0noble) noble; urgency=high

  * smach_ros: Adding rostests to cmakelists
  * Merging changes, resolving conflicts, from strands-project (@cburbridge)
  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Listing available goal slots in case of specifying wrong ones
  * Fix syntax errors, doc typos and indentations glitches
  * if monitor state prempted before executing, return.
  * Adding event for thread synchronization in concurrence and using event not condition in monitor state
  * Listing available goal slots in case of specifying wrong ones
  * [MonitorState] Make exception handler more verbose
  * edited monitor state to allow input and output keys
  * Contributors: Boris Gromov, Bruno Lacerda, Felix Kolbe, Hendrik Wiese, Jonathan Bohren, cburbridge

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 00:00:00 -0000

ros-one-smach-ros (1.3.1-0noble) noble; urgency=high

  * adding changelogs
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name
  * added missing catkin_package() calls in CMakeLists.txt files of packages smach and smach_ros
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-smach-ros
Section: misc
Priority: optional
Maintainer: Isaac I. Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-smach-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-rospy, ros-one-rostopic, ros-one-smach, ros-one-smach-msgs, ros-one-std-msgs, ros-one-std-srvs
Description: The smach_ros package contains extensions for the SMACH library to integrate it tightly with ROS.
 For example, SMACH-ROS can call ROS services, listen to ROS topics, and integrate with actionlib both as a client, and a provider of action servers. SMACH is a new library that takes advantage of very old concepts in order to quickly create robust robot behavior with maintainable and modular code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-smach-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-smach-ros 2.5.3-0noble.20260221.0039

=== debian/changelog ===
ros-one-smach-ros (2.5.3-0noble.20260221.0039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Sat, 21 Feb 2026 00:39:16 +0000
